# Name

Assigns a unique identifier to the imdtls input instance. .. summary-end

This parameter applies to imdtls: Input Module for DTLS Protocol over UDP.

Name:

  name

Scope:

  input

Type:

  word

Default:

  none

Required?:

  no

Introduced:

  v8.2402.0

## Description

Provides a unique name to the input module instance. This is useful for identifying the source of messages when multiple input modules are used.

## Input usage

    module(load="imdtls")
    input(type="imdtls" name="dtlsListener01")

## See also

See also imdtls: Input Module for DTLS Protocol over UDP.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.